<ivysettings>
	<property name="mkgmap.ivy.repo" value="https://ivy.mkgmap.org.uk/repo" />
	<settings defaultResolver="custom" />

	<include url="${ivy.default.settings.dir}/ivysettings-public.xml"/>
	<include url="${ivy.default.settings.dir}/ivysettings-shared.xml"/>
	<include url="${ivy.default.settings.dir}/ivysettings-local.xml"/>
	<include url="${ivy.default.settings.dir}/ivysettings-main-chain.xml"/>
	<include url="${ivy.default.settings.dir}/ivysettings-default-chain.xml"/>

	<resolvers>
		<chain name="custom" returnFirst="true">

			<resolver ref="default" />

			<url name="mkgmap">
				<ivy pattern="${mkgmap.ivy.repo}/[organisation]/[module]/[revision]/ivys/ivy.xml" />
				<artifact pattern="${mkgmap.ivy.repo}/[organisation]/[module]/[revision]/[type]s/[artifact].[ext]" />
			</url>

		</chain>

		<ibiblio name="geotools-resolver" m2compatible="true" root="https://repo.osgeo.org/repository/release/" />

		<url name="spring-resolver" >
			<ivy pattern="https://repository.springsource.com/ivy/bundles/external/[organisation]/[module]/[revision]/[artifact]-[revision].[ext]" />
			<artifact pattern="https://repository.springsource.com/ivy/bundles/external/[organisation]/[module]/[revision]/[artifact]-[revision].[ext]" />
		</url>

		<ibiblio name="jmix-resolver" m2compatible="true"
			root="https://nexus.jmix.io/repository/releases/" />

	</resolvers>

	<modules>
		<module organisation="org.geotools" resolver="geotools-resolver"/>
		<module organisation="java3d" resolver="geotools-resolver"/>
		<module organisation="javax.media.jai" resolver="jmix-resolver"/>
	</modules>

</ivysettings>
